org.apache.ignite.internal.processors.datastructures

## Interface GridCacheLockEx

All Superinterfaces:
  AutoCloseable, Closeable, GridCacheRemovable, IgniteLock, Lock

All Known Implementing Classes:
  GridCacheLockImpl

    public interface GridCacheLockEx
    extends IgniteLock, GridCacheRemovable

Grid cache reentrant lock (`'Ex'` stands for external).

### Method Summary

Methods
`GridCacheInternalKey` `key()` Get current reentrant lock latch key.
`void` `onNodeRemoved(UUID nodeId)` Callback to notify semaphore on topology changes.
`void` `onStop()` Callback to notify local reentrant lock instance on node stop.
`void` `onUpdate(GridCacheLockState state)` Callback to notify reentrant lock on changes.

### Methods inherited from interface org.apache.ignite.IgniteLock

`close, getHoldCount, getOrCreateCondition, getWaitQueueLength, hasQueuedThread, hasQueuedThreads, hasWaiters, isBroken, isFailoverSafe, isFair, isHeldByCurrentThread, isLocked, lock, lockInterruptibly, name, newCondition, removed, tryLock, tryLock, unlock`

### Methods inherited from interface org.apache.ignite.internal.processors.datastructures.GridCacheRemovable

`needCheckNotRemoved, onRemoved`

### Method Detail

#### key

    GridCacheInternalKey key()

Get current reentrant lock latch key.

Returns:
  Lock key.

#### onUpdate

    void onUpdate(GridCacheLockState state)

Callback to notify reentrant lock on changes.

Parameters:
  `state` - New reentrant lock state.

#### onNodeRemoved

    void onNodeRemoved(UUID nodeId)

Callback to notify semaphore on topology changes.

Parameters:
  `nodeId` - Id of the node that left the grid.

#### onStop

    void onStop()

Callback to notify local reentrant lock instance on node stop.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017